##
##  netrik.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2009 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         netrik
Summary:      Interactive Full-Screen Client for HTTP/HTTPS/FTP Protocols
URL:          http://netrik.sourceforge.net/
Vendor:       Olaf D. Buddenhagen
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      GPL
Version:      1.16.1
Release:      20090620

#   list of sources
Source0:      http://switch.dl.sourceforge.net/netrik/netrik-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130
PreReq:       OpenPKG, openpkg >= 20040130
BuildPreReq:  ncurses, readline, getopt
PreReq:       ncurses, readline, getopt
AutoReq:      no
AutoReqProv:  no

%description
    Netrik is the ANTRIK Internet Viewer/Browser/Explorer/Navigator, a
    textual interactive full-screen client for HTTP/HTTPS/FTP protocols.

%track
    prog netrik = {
        version   = %{version}
        url       = http://prdownloads.sourceforge.net/netrik/
        regex     = netrik-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;ncursesw/curses\.h;ncurses/curses.h;' \
        -e 's;ncursesw/term\.h;ncurses/term.h;' \
        *.[ch]
    %{l_shtool} subst \
        -e 's;test -z $CFLAGS;test -z "$CFLAGS";' \
        configure
    export CC="%{l_cc}"
    export CFLAGS="%{l_cflags -O}"
    export CPPFLAGS="%{l_cppflags ncurses}"
    export LDFLAGS="%{l_ldflags}"
    export LIBS="-lgetopt"
    case "%{l_platform -t}" in
        *-sunos* ) LIBS="$LIBS -lsocket -lnsl" ;;
    esac
    %{l_bash} ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/doc
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

